README.android
changeset 6962 6ce8edb5577b
parent 6816 b3d3ef1e15b5
child 6979 8d6ab3bdc08b
equal deleted inserted replaced
6961:3ef29a1398ed 6962:6ce8edb5577b
     2 Simple DirectMedia Layer for Android
     2 Simple DirectMedia Layer for Android
     3 ================================================================================
     3 ================================================================================
     4 
     4 
     5 Requirements:
     5 Requirements:
     6 
     6 
     7 Android SDK
     7 Android SDK (version 10 or later)
     8 http://developer.android.com/sdk/index.html
     8 http://developer.android.com/sdk/index.html
     9 
     9 
    10 Android NDK r4 or later
    10 Android NDK r4 or later
    11 http://developer.android.com/sdk/ndk/index.html
    11 http://developer.android.com/sdk/ndk/index.html
    12 
    12 
       
    13 Minimum API Level supported by SDL: 10 (Android 2.3.3)
    13 
    14 
    14 ================================================================================
    15 ================================================================================
    15  How the port works
    16  How the port works
    16 ================================================================================
    17 ================================================================================
    17 
    18 
   340 	adb pull /sdcard/valgrind.log
   341 	adb pull /sdcard/valgrind.log
   341 
   342 
   342 When you're done instrumenting with valgrind, you can disable the wrapper:
   343 When you're done instrumenting with valgrind, you can disable the wrapper:
   343 	adb shell setprop wrap.org.libsdl.app ""
   344 	adb shell setprop wrap.org.libsdl.app ""
   344 
   345 
       
   346 ================================================================================
       
   347  Why is API level 10 the minimum required?
       
   348 ================================================================================
       
   349 
       
   350 Support for OpenGL ES/ES2 applications was introduced in the NDK for API level 9, 
       
   351 which has since then been obsoleted, and the recommendation to developers was to 
       
   352 bump the required level to 10.
       
   353 As of this writing, according to http://developer.android.com/about/dashboards/index.html
       
   354 about 90% of the existing Android devices support an API level 10 or higher.
   345 
   355 
   346 ================================================================================
   356 ================================================================================
   347  Known issues
   357  Known issues
   348 ================================================================================
   358 ================================================================================
   349 
   359